curl --request GET \
--url https://api.luminpdf.com/v1/signature_request/{signature_request_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.luminpdf.com/v1/signature_request/{signature_request_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.luminpdf.com/v1/signature_request/{signature_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"signature_request": {
"signature_request_id": "<string>",
"title": "<string>",
"created_at": "<string>",
"expires_at": "<string>",
"details_url": "<string>",
"signers": [
{
"email_address": "<string>",
"name": "<string>",
"group": 123,
"is_approved": true
}
],
"updated_at": "<string>",
"reason": "<string>"
}
}{
"error_code": "<string>",
"error_message": "<string>"
}Get Signature Request
Returns the information of the signature request.
Required scopes (OAuth 2.0)
Required scopes (OAuth 2.0)
sign:requests.read or sign:requestsAuthorizations
Provide your API key in the X-API-Key header, e.g., X-API-Key: YOUR_API_KEY.
Path Parameters
ID of the signature request.
Response
Returns the information of the signature request.
Contains information about a signature request.
Hide child attributes
Hide child attributes
The unique identifier for the signature request.
The title of the signature request.
The time the signature request was created.
The time the signature request will expire.
The url to view the signature request in the browser.
The status of the signature request.
NEED_TO_SIGN, WAITING_FOR_OTHERS, APPROVED, REJECTED, WAITING_FOR_PROCESSING, FAILED, CANCELLED Recipient signing flow.
SAME_TIME, ORDER The signers of the signature request.
Hide child attributes
Hide child attributes
Email address of the signer.
Name of the signer.
The signing order of signer for the signature request with signing_type is ORDER. Required if signing_type is ORDER.
Only signers in 1st Signers group will receive email/notification, signers in subsequent groups will receive email/notification when all signers in previous group has signed.
Group starts incrementing at 1.
The default value for group always is 1 if signing_type is SAME_TIME.
Whether the signer has approved the signature request.
The status of the Signer.
NEED_TO_SIGN, APPROVED, WAITING_FOR_OTHERS, REJECTED, FAILED, WAITING_FOR_PROCESSING The time the signature request was last updated.
The reason for the status FAILED or REJECTED of the signature request.